Bug 1835189 - Missing macro for "host_redhat_subscriptions" in host subscription facet
Summary: Missing macro for "host_redhat_subscriptions" in host subscription facet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.7.0
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Nagoor Shaik
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-13 10:57 UTC by Julio Entrena Perez
Modified: 2021-05-06 14:42 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.16.0-0.13.rc1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:02:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch by nshaik (1.09 KB, patch)
2020-05-13 10:57 UTC, Julio Entrena Perez
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29790 0 Normal Closed Add new macro to report consumption of Red Hat Subscriptions only 2021-01-25 15:18:34 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:02:29 UTC

Description Julio Entrena Perez 2020-05-13 10:57:01 UTC
Created attachment 1688006 [details]
Patch by nshaik

Description of problem:
There is no macro defined to access host.subscriptions.where.not(:support_level => nil).pluck(:name) while safe mode is enabled (default).

This reports if a subscription is a Red Hat subscription.
Customers may want to customise the Entitlements report to list Red Hat subscriptions only and skip subscriptions for custom products.

Version-Release number of selected component (if applicable):
tfm-rubygem-katello-3.14.0.20-1.el7sat

How reproducible:
Always

Steps to Reproduce:
1. Clone "Entitlements" report template
2. Try to modify the report so it lists Red Hat provided subscriptions only and skips subscriptions for custom products
3.

Actual results:
undefined method '#subscriptions' for Host::Managed::Jail (Host::Managed)

Expected results:
Customers can report on Red Hat subscriptions only.

Additional info:

Comment 5 Bryan Kearney 2020-05-21 16:02:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29790 has been resolved.

Comment 6 Lukáš Hellebrandt 2020-06-04 13:35:01 UTC
Verified with Sat 6.8 snap 2.1.

0) Have a host with RH subscription and custom subscription (product) registered
1) Generate "Host - Registered Content Hosts"
2) Clone "Host - Registered Content Hosts"
3) In "Host - Registered Content Hosts clone" report template, s/host_subscriptions_names/host_redhat_subscription_names/
4) Generate "Host - Registered Content Hosts clone"

=> The two generated reports differ, the latter one doesn't have the custom subscription listed

Comment 9 errata-xmlrpc 2020-10-27 13:02:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.